// Begränsa antalet ord i RSS-utmatningen till 55 och lägg till "Läs mer"-länk

function macken_custom_rss_excerpt_length($content) {
    global $post;
    $max_words = 55;
    $text = strip_tags($content);
    $words = explode(' ', $text);

    if (count($words) > $max_words) {
        $words = array_slice($words, 0, $max_words);
        $text = implode(' ', $words) . '...';
    }

    $read_more_link = '<p><a href="' . get_permalink($post->ID) . '">Läs mer på Magasin Macken</a></p>';
    return $text . $read_more_link;
}

// Filtrera RSS-innehåll via the_excerpt_rss och the_content_feed
add_filter('the_excerpt_rss', 'macken_custom_rss_excerpt_length');
add_filter('the_content_feed', 'macken_custom_rss_excerpt_length');

